Bug 661005

Summary: FTBFS bitmap-1.0.3-8.fc15: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: bitmapAssignee: Petr Šabata <psabata>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 15CC: dan, henrik, kasal, ndevos, pertusus, psabata
Target Milestone: ---Keywords: Patch, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: bitmap-1.0.3-10.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-09 01:23:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 659965    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
patch for bitmap.spec which updates the release from 1.0.3 to 1.0.5 none

Description FTBFS 2010-12-07 13:38:00 EST
bitmap-1.0.3-8.fc15.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-12-07 13:38:03 EST
Created attachment 466773 [details]
root.log


root.log for i386
Comment 2 FTBFS 2010-12-07 13:38:04 EST
Created attachment 466774 [details]
build.log


build.log for i386
Comment 3 FTBFS 2010-12-07 13:38:05 EST
Created attachment 466775 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2010-12-07 13:38:07 EST
Created attachment 466776 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2010-12-07 13:38:08 EST
Created attachment 466777 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2010-12-07 13:38:09 EST
Created attachment 466778 [details]
mock.log


mock.log for x86_64
Comment 7 Niels de Vos 2011-03-20 16:05:04 EDT
Created attachment 486508 [details]
patch for bitmap.spec which updates the release from 1.0.3 to 1.0.5

The attached patch updates this package to the current upstream release. The Failed-To-Build-From-Source has been fixed upstream already.
Comment 8 Niels de Vos 2011-03-20 16:10:34 EDT
Scratch-build completed successfully:
- https://koji.fedoraproject.org/koji/taskinfo?taskID=2927172
Comment 9 Niels de Vos 2011-03-20 16:34:34 EDT
Please review my patch from comment #7 and update the package if appropriate. As is it only a minor update, it should not affect any users of the package.

Thanks!
Comment 10 Niels de Vos 2011-03-25 15:13:19 EDT
Adding the Patch keyword as a patch for the spec-file has been attached already.
Comment 11 Henrik Nordström 2011-09-06 20:17:58 EDT
Can we please have bitmap-1.0.3-10 which should fix this ftbfs pushed as an update to F15? The armv7 bootstrap is getting hit by this.
Comment 12 Petr Šabata 2011-09-07 03:29:00 EDT
(In reply to comment #11)
> Can we please have bitmap-1.0.3-10 which should fix this ftbfs pushed as an
> update to F15? The armv7 bootstrap is getting hit by this.

How would that help?  The changes are available in git, just take them.

(In reply to comment #10)
> Adding the Patch keyword as a patch for the spec-file has been attached
> already.

This was already fixed by Dan Horak by removing AM_LDFLAGS=-lXmu.
Comment 13 Dennis Gilmore 2011-09-07 08:27:07 EDT
Petr, we need the update released so that we can bring it into the arm tree where we are bringing up a new arch from scratch. please create amn update with the FTBFS fix thanks
Comment 14 Fedora Update System 2011-09-07 08:41:23 EDT
bitmap-1.0.3-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bitmap-1.0.3-10.fc15
Comment 15 Fedora Update System 2011-09-08 03:02:43 EDT
Package bitmap-1.0.3-10.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bitmap-1.0.3-10.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bitmap-1.0.3-10.fc15
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2011-09-09 01:23:40 EDT
bitmap-1.0.3-10.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.